﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace XamDataGrid3LevelHierarchy
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
            List<Level1> source = new List<Level1>();
            for (int i = 0; i < 5; i++)
            {
                Level1 l1 = new Level1(i.ToString() + " level 1", new Level2("level 2 " + i.ToString(), new Level3("level 3 "+i.ToString())));

                source.Add(l1);
            }
            xamDataGrid1.DataSource = source;
        }

    }

    public class Level1
    {
        public string Name { get; set; }
        public Level2 Level2Object { get; set; }
        public Level1(string name, Level2 lvl2)
        {
            this.Name = name;
            this.Level2Object = lvl2;
        }
    }
    public class Level2
    {
        public string Name { get; set; }
        public Level3 Level3Object { get; set; }
        public Level2(string name, Level3 lvl3)
        {
            this.Name = name;
            this.Level3Object = lvl3;
        }
    }
    public class Level3
    {
        public string Name { get; set; }
        public Level3(string name)
        {
            this.Name = name;
        }
    }
}
